std::__detail::_Compiler< _TraitsT >(3cxx)

NAME
std::__detail::_Compiler< _TraitsT > - Builds an NFA from an input iterator range.

SYNOPSIS

#include <regex>

  Public Types

typedef _TraitsT::char_type _CharT
typedef regex_constants::syntax_option_type _FlagT
typedef _NFA< _TraitsT > _RegexT

  Public Member Functions

_Compiler (const _CharT *__b, const _CharT *__e, const typename _TraitsT::locale_type &__traits, _FlagT __flags)
shared_ptr< const _RegexT > _M_get_nfa () noexcept

Detailed Description

  template<typename _TraitsT>
class std::__detail::_Compiler< _TraitsT >"Builds an NFA from an input iterator range.

The _TraitsT type should fulfill the requirements in C++11 28.3 [re.req].

Author

Generated automatically by Doxygen for libstdc++ from the source code.